Bug 15721 - About page does not display Apache version
Summary: About page does not display Apache version
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-02 10:31 UTC by Marc Véron
Modified: 2017-06-14 22:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15721: About page does not display Apache version (2.27 KB, patch)
2016-02-02 10:52 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15721: About page does not display Apache version (2.36 KB, patch)
2016-02-02 16:27 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15721: (followup) Add apache2ctl to C4::Context::get_versions (968 bytes, patch)
2016-02-19 15:56 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15721: About page does not display Apache version (2.39 KB, patch)
2016-03-01 13:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 15721: (followup) Add apache2ctl to C4::Context::get_versions (1020 bytes, patch)
2016-03-01 13:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 15721: (QA followup) pick the most probable first (1.22 KB, patch)
2016-03-01 13:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-02-02 10:31:45 UTC
The About page does not display the Apache version.
Comment 1 Marc Véron 2016-02-02 10:52:42 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-02-02 16:26:31 UTC
This only happen in gitfied installations, /home/myuser/kohaclone
Comment 3 Héctor Eduardo Castro Avalos 2016-02-02 16:27:26 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-02-03 12:44:44 UTC
Marc,
I have not tested your patch, but looking at 

  commit 16d7ba09f3705e56ae03beda1dd15111f2583de9
  Bug 13486: Apache version empty in about page if Apache 2.4

it might be wrong with apache 2.4
Comment 5 Marc Véron 2016-02-03 12:59:43 UTC
Hi Jonathan,

I removed the check for versions from about.pl and I use C4::Context::get_versions() instead.

So C4::Context::get_versions() would give wrong results? - Or what is precisely the reason to fail the patch?

Anyway, it fixes for me the issue on current master and on a 3.22 installation.
Comment 6 Jonathan Druart 2016-02-08 11:26:28 UTC
Marc,
On bug 13486, Tomas removed `apache2 -V`, to use `apache2clt -v` instead.
Your patch restores the behavior prior to bug 13486: C4::Context::get_versions does not call apache2ctl.
Tomas, any ideas what is the best way to fix this one?
Comment 7 Marc Véron 2016-02-08 14:48:20 UTC
Hi Jonathan,

I think that in that case C4::Context::get_versions should be fixed in a separate bug that blocks this Bug 15271.

Note: I do not touch C4::Context::get_versions, but I use it to remove code duplication.

Marc
Comment 8 Marc Véron 2016-02-19 15:56:19 UTC Comment hidden (obsolete)
Comment 9 Marc Véron 2016-02-19 15:57:39 UTC
I think the followup needs a sign-off. For test plan see comment #2.
Comment 10 Marc Véron 2016-02-26 17:13:34 UTC
Still applies on current master.
Comment 11 Tomás Cohen Arazi 2016-03-01 13:14:10 UTC
Created attachment 48502 [details] [review]
Bug 15721: About page does not display Apache version

This patch changes about.pl to get version information from
C4::Context where applicable and fixes missing display of
the Apache version e.g. for Apache/2.2.22

To test:
- Without patch, open about page in staff client
- Remember contents of tab 'Server information'
  (e.g. make a screenshot)
- Apply patch
- Verify, that the About page displays the same information
  as before rsp. additionally displays Apache version if
  it was missing without patch.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as described
Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>
Comment 12 Tomás Cohen Arazi 2016-03-01 13:14:18 UTC
Created attachment 48503 [details] [review]
Bug 15721: (followup) Add apache2ctl to C4::Context::get_versions

See comment #6

Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>
Comment 13 Tomás Cohen Arazi 2016-03-01 13:14:28 UTC
Created attachment 48504 [details] [review]
Bug 15721: (QA followup) pick the most probable first

Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>
Comment 14 Brendan Gallagher 2016-03-02 03:23:54 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks
Comment 15 Julian Maurice 2016-03-07 11:08:23 UTC
Patches pushed to 3.22.x, will be in 3.22.5
Comment 16 Frédéric Demians 2016-03-15 09:01:15 UTC
This patch has been pushed to 3.20.x, will be in 3.20.10.